Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.wml
Interface WMLImgElement

All Known Implementing Classes:
  WMLImgElementImpl

public interface WMLImgElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'img' specifies an image in a text flow (Section 11.9, WAP WML Version 16-Jun-1999)

Fields inherited from class org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHspace()`
`java.lang.String` | `getLocalSrc()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getVspace()`
`java.lang.String` | `getWidth()`
`java.lang.String` | `getXmlLang()`
`void` | `setAlign(java.lang.String newValue)` 'align' specifies the alignment of the image within the text flow.
`void` | `setAlt(java.lang.String newValue)` 'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setHeight(java.lang.String newValue)` 'height' specifies the height of an image.
`void` | `setHspace(java.lang.String newValue)` 'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setLocalSrc(java.lang.String newValue)` 'localsrc' specifies an alternative internal representation of the image.
`void` | `setSrc(java.lang.String newValue)` 'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setVspace(java.lang.String newValue)` 'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setWidth(java.lang.String newValue)` 'width' specifies the width of an image.
`void` | `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### setAlt

    public void setAlt(java.lang.String newValue)

  'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)

### getAlt

    public java.lang.String getAlt()

### setSrc

    public void setSrc(java.lang.String newValue)

  'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)

### getSrc

    public java.lang.String getSrc()

### setLocalSrc

    public void setLocalSrc(java.lang.String newValue)

  'localsrc' specifies an alternative internal representation of the image. (Section 11.9, WAP WML Version 16-Jun-1999)

### getLocalSrc

    public java.lang.String getLocalSrc()

### setVspace

    public void setVspace(java.lang.String newValue)

  'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)

### getVspace

    public java.lang.String getVspace()

### setHspace

    public void setHspace(java.lang.String newValue)

  'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)

### getHspace

    public java.lang.String getHspace()

### setAlign

    public void setAlign(java.lang.String newValue)

  'align' specifies the alignment of the image within the text flow. (Section 11.8, WAP WML Version 16-Jun-1999)

### getAlign

    public java.lang.String getAlign()

### setWidth

    public void setWidth(java.lang.String newValue)

  'width' specifies the width of an image. (Section 11.9, WAP WML Version 16-Jun-1999)

### getWidth

    public java.lang.String getWidth()

### setHeight

    public void setHeight(java.lang.String newValue)

  'height' specifies the height of an image. (Section 11.9, WAP WML Version 16-Jun-1999)

### getHeight

    public java.lang.String getHeight()

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    public java.lang.String getXmlLang()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD